summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-762160-relpath
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/test-bug-762160-relpath')
-rwxr-xr-xtest/integration/test-bug-762160-relpath15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/integration/test-bug-762160-relpath b/test/integration/test-bug-762160-relpath
new file mode 100755
index 000000000..0af71f57b
--- /dev/null
+++ b/test/integration/test-bug-762160-relpath
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+# dpkg implements versioned provides in commit 5bb02fe80e9f40dcad9703a72f67cf615ff217b5
+# but previous versions seem to allow parsing, working and ignoring it.
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'unstable' 'foo' 'all' '1'
+setupaptarchive
+
+aptget update -o Dir=./apt